Bug 1254879 - dnf repoquery -l should display '(contains no files)' if there are no files
Summary: dnf repoquery -l should display '(contains no files)' if there are no files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-19 07:43 UTC by Saro
Modified: 2017-02-10 16:06 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 16:06:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Saro 2015-08-19 07:43:40 UTC
Description of problem:
trying to list the binaries provided by package using dnf repoquery. but fails.

Version-Release number of selected component (if applicable):


How reproducible:
[root@gant ~]# dnf repoquery -l  libvirt-1.2.13.1-2.fc22.x86_64 
Last metadata expiration check performed 1:35:52 ago on Wed Aug 19 11:33:34 2015.



Steps to Reproduce:
1. 
2.
3.

Actual results:
[root@gant ~]# dnf repoquery -l  libvirt-1.2.13.1-2.fc22.x86_64 
Last metadata expiration check performed 1:35:52 ago on Wed Aug 19 11:33:34 2015.



Expected results:
Should list the package listing of libvirt-X.Y.Z

Additional info:

Comment 1 Michael Mráka 2015-08-19 08:40:40 UTC
It isn't a bug. libvirt package doesn't contain any files.

# dnf download libvirt-1.2.13.1-2.fc22.x86_64
Last metadata expiration check performed 0:00:00 ago on Wed Aug 19 10:37:41 2015.
libvirt-1.2.13.1-2.fc22.x86_64.rpm                                        2.0 MB/s |  44 kB     00:00    
# rpm -qlp libvirt-1.2.13.1-2.fc22.x86_64.rpm 
(contains no files)

Comment 2 Saro 2015-08-19 09:09:59 UTC
Thanks!

Is it possible to output something like No files present?

This command now displays "Last metadata expiration check performed.." , 

It is  useful to display something more like "No files present in this package".

Comment 3 Michael Mráka 2015-08-19 09:28:57 UTC
Ideally the output should match rpm, i.e.

# dnf repoquery -l  libvirt-1.2.13.1-2.fc22.x86_64 
Last metadata expiration check performed 1:35:52 ago on Wed Aug 19 11:33:34 2015.
(contains no files)

Comment 4 Saro 2015-08-19 09:44:04 UTC
(In reply to Michael Mráka from comment #3)
> Ideally the output should match rpm, i.e.
> 
> # dnf repoquery -l  libvirt-1.2.13.1-2.fc22.x86_64 
> Last metadata expiration check performed 1:35:52 ago on Wed Aug 19 11:33:34
> 2015.
> (contains no files)

Yes, that should do.

Comment 5 Petr Spacek 2016-01-07 16:45:38 UTC
BTW it would be good if the message is not printed in quiet mode so the output can be easily piped into a script or so. Thank you!

Comment 6 Jan Kurik 2016-02-24 13:38:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Fedora Admin XMLRPC Client 2016-07-08 09:26:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Jaroslav Mracek 2016-12-20 15:48:31 UTC
I created a pullrequest that should help: https://github.com/rpm-software-management/dnf/pull/693

The output will look like:
$ sudo dnf repoquery -l  libvirt
Repository 'fedora' is missing name in configuration, using id.
Last metadata expiration check: 1:31:38 ago on Tue Dec 20 15:10:07 2016 CET.
Failed to synchronize cache for repo 'beaker-client', disabling.
Package libvirt-2.2.0-1.fc25.x86_64 contains no files
Package libvirt-2.2.0-2.fc25.x86_64 contains no files

Comment 9 Jaroslav Mracek 2017-02-10 16:06:21 UTC
Bug fixed in version of dnf-2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.